E-MailRelay

Classes | Namespaces
gdirectory.h File Reference
`#include "gdef.h"`
`#include "gpath.h"`
`#include "gexception.h"`
`#include <string>`
`#include <vector>`
`#include <list>`
`#include <sys/types.h>`

Go to the source code of this file.

## Classes
class | G::Directory
| An encapsulation of a file system directory that works with G::DirectoryIterator. More...
class | G::DirectoryIterator
| A iterator that returns filenames in a directory. More...
class | G::DirectoryList
| A iterator similar to G::DirectoryIterator but doing all file i/o in one go. More...
struct | G::DirectoryList::Item
| A directory-entry item for G::DirectoryList. More...

## Namespaces
namespace | G
| Low-level classes.